
From: Peter Chubb <peterc@gelato.unsw.edu.au>

If you need a long long format, then cast to long long, not u64.  u64 is
long on 64-bit architectures.



 fs/jbd/revoke.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/jbd/revoke.c~jbd-revoke-warning-fix fs/jbd/revoke.c
--- 25/fs/jbd/revoke.c~jbd-revoke-warning-fix	2003-08-10 22:36:48.000000000 -0700
+++ 25-akpm/fs/jbd/revoke.c	2003-08-10 22:36:48.000000000 -0700
@@ -438,7 +438,7 @@ int journal_cancel_revoke(handle_t *hand
 		record = find_revoke_record(journal, bh->b_blocknr);
 		if (record) {
 			jbd_debug(4, "cancelled existing revoke on "
-				  "blocknr %llu\n", (u64)bh->b_blocknr);
+				  "blocknr %llu\n", (unsigned long long)bh->b_blocknr);
 			spin_lock(&journal->j_revoke_lock);
 			list_del(&record->hash);
 			spin_unlock(&journal->j_revoke_lock);

_
